Canvas chat with brand context
curl --request POST \
--url https://app.alana.shopping/api/ai/chat \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspace_id": "<string>",
"message": "<string>",
"brand_id": "<string>",
"conversation_id": "<string>",
"include_product_context": false
}
'{
"conversation_id": "<string>",
"message": "<string>",
"suggestions": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z"
}Chat with AI
Start or continue a chat conversation with AI-powered brand context
POST
/
api
/
ai
/
chat
Canvas chat with brand context
curl --request POST \
--url https://app.alana.shopping/api/ai/chat \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspace_id": "<string>",
"message": "<string>",
"brand_id": "<string>",
"conversation_id": "<string>",
"include_product_context": false
}
'{
"conversation_id": "<string>",
"message": "<string>",
"suggestions": [
"<string>"
],
"created_at": "2023-11-07T05:31:56Z"
}Authorizations
Bearer token authentication via Auth0. Users authenticate through Auth0 Universal Login. Include the access token in the Authorization header: Authorization: Bearer <token>
Body
application/json
Last modified on February 16, 2026
⌘I